Page MenuHomePhabricator

When sitewide blocked, cannot edit tags on own User_talk, even if allowed to edit own User_talk
Open, Needs TriagePublic2 Estimate Story PointsBUG REPORT

Description

What is the problem?

If I am sitewide blocked but allowed to edit my own User_talk, I cannot edit tags of revisions on my User_talk page.

Similarly, if I use the API to edit my User_talk and specify tags for the edit, I am blocked from editing.

This does not apply if I am only partially blocked.

I believe we prevent tagging on any page (including own User_talk) if the user is sitewide blocked (e.g. here and here), but a user can be sitewide blocked but still allowed to edit their own User_talk.

Found as part of testing T221444#5484526.

Steps to reproduce problem

Make sure $user has the changetags right

  1. Block $user with a sitewide block, but make sure Editing their own talk page (or equivalent) is not checked
  2. Login as $user
  3. Go to User_talk:$user
  4. Go to history
  5. Check a revision and click Edit tags of selected revisions
  6. Add or remove a tag and click submit

Expected behavior: Tag is applied to revision; see a message like The changes were applied.
Observed behavior: See the error The changes could not be applied: You cannot add or remove change tags while you are blocked.

Environment

Wiki(s): Most recently reproduced: https://en.wikipedia.beta.wmflabs.org 1.35.0-alpha (fbc745a) 07:36, 31 October 2019

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptOct 31 2019, 11:01 AM
Niharika set the point value for this task to 2.Oct 31 2019, 6:10 PM
Tchanders claimed this task.Nov 7 2019, 5:49 PM
Tchanders moved this task from Ready to In Progress on the Anti-Harassment (The Letter Song) board.

Change 549622 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] Allow blocked user to tag own usertalk if not blocked from that page

https://gerrit.wikimedia.org/r/549622